﻿

/* کل صفحه */
.container1 {
    width: 1200px;
    margin: 40px auto;
    display: flex;
    gap: 20px;
}

/* محتوای اصلی */
.content {
    flex: 3;
    direction: rtl;
}

/* هدر مقاله */
.article-header {
    background: #fff;
    border-radius: 18px;
    overflow: hidden;
    box-shadow: 0 10px 30px rgba(0,0,0,0.08);
}

    .article-header img {
        width: 100%;
        height: 320px;
        object-fit: contain;
    }

.article-info {
    padding: 20px;
}

.category {
    display: inline-block;
    background: #0d6efd;
    color: #fff;
    padding: 5px 12px;
    border-radius: 20px;
    font-size: 12px;
}

.title {
    font-size: 22px;
    margin-top: 10px;
    font-weight: bold;
}

.meta {
    font-size: 12px;
    color: #777;
    margin-top: 8px;
}

/* متن مقاله */
.article-body {
    background: #fff;
    margin-top: 20px;
    padding: 25px;
    border-radius: 18px;
    line-height: 2;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
}

/* سایدبار */
.sidebar {
    flex: 1;
}

/* باکس‌های سایدبار */
.box {
    background: rgba(255,255,255,0.8);
    backdrop-filter: blur(10px);
    border-radius: 18px;
    padding: 8px;
    margin-bottom: 20px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.05);
}

    .box h3 {
        font-size: 17px;
        margin-bottom: 10px;
        border-right: 3px solid #012b1d;
        padding-right: 8px;
        text-align: right;
    }

/* لیست مقالات */
.latest-item {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
    cursor: pointer;
    flex-direction: row-reverse;
    text-align: right;
}

    .latest-item img {
        width: 60px;
        height: 60px;
        border-radius: 12px;
        object-fit: cover;
    }

    .latest-item div {
        font-size: 12px;
    }

    .latest-item span {
        display: block;
        color: #888;
        font-size: 11px;
    }

/* دکمه‌ها */
.btn1 {
    display: block;
    text-align: center;
    padding: 6px;
    background: #012b1d;
    color: #fff;
    border-radius: 12px;
    text-decoration: none;
    margin-top: 10px;
    transition: .3s;
    font-size: 15px;
}

    .btn1:hover {
        background: #012b1d;color:ghostwhite
    }

/* ریسپانسیو */
@media(max-width:900px) {
    .container1 {
        flex-direction: column;
        width: 95%;
    }
}
